Discussion:
Packagekit crashes
(too old to reply)
Robert Washbourne
2017-09-08 19:58:44 UTC
Permalink
Raw Message
On systemctl start packagekit:

packagekitd[18300]: failed to setup context: metadata expire time too
small, has to be at least one second

stack trace:

Process 19457 (packagekitd) dumped core

Stack trace of thread 19457:
#0 0x00007fd81f7c3e51 _g_log_abort (libglib-2.0.so.0)
#1 0x00007fd81f7c4e8c g_log_default_handler (libglib-2.0.so.0)
#2 0x00007fd81f7c511d g_logv (libglib-2.0.so.0)
#3 0x00007fd81f7c528f g_log (libglib-2.0.so.0)
#4 0x00007fd8146d0f9a pk_backend_initialize (libpk_backend_dnf.so)
#5 0x000000f7520887d2 pk_backend_load (packagekitd)
#6 0x000000f752095e57 pk_engine_load_backend (packagekitd)
#7 0x000000f75207d3a2 main (packagekitd)
#8 0x00007fd81ef8d50a __libc_start_main (libc.so.6)
#9 0x000000f75207d5aa _start (packagekitd)

Stack trace of thread 19459:
#0 0x00007fd81f071acd poll (libc.so.6)
#1 0x00007fd81f7be569 g_main_context_iterate.isra.25 (libglib-2.0.so.0)
#2 0x00007fd81f7be67c g_main_context_iteration (libglib-2.0.so.0)
#3 0x00007fd81f7be6c1 glib_worker_main (libglib-2.0.so.0)
#4 0x00007fd81f7e5536 g_thread_proxy (libglib-2.0.so.0)
#5 0x00007fd81f34536d start_thread (libpthread.so.0)
#6 0x00007fd81f07dbbf __clone (libc.so.6)

Stack trace of thread 19460:
#0 0x00007fd81f071acd poll (libc.so.6)
#1 0x00007fd81f7be569 g_main_context_iterate.isra.25 (libglib-2.0.so.0)
#2 0x00007fd81f7be902 g_main_loop_run (libglib-2.0.so.0)
#3 0x00007fd81fda3cb6 gdbus_shared_thread_func (libgio-2.0.so.0)
#4 0x00007fd81f7e5536 g_thread_proxy (libglib-2.0.so.0)
#5 0x00007fd81f34536d start_thread (libpthread.so.0)
#6 0x00007fd81f07dbbf __clone (libc.so.6)

Stack trace of thread 19461:
#0 0x00007fd81f078559 syscall (libc.so.6)
#1 0x00007fd81f8036fa g_cond_wait_until (libglib-2.0.so.0)
#2 0x00007fd81f792b31 g_async_queue_pop_intern_unlocked (libglib-2.0.so.0)
#3 0x00007fd81f7e5ed4 g_thread_pool_thread_proxy (libglib-2.0.so.0)
#4 0x00007fd81f7e5536 g_thread_proxy (libglib-2.0.so.0)
#5 0x00007fd81f34536d start_thread (libpthread.so.0)
#6 0x00007fd81f07dbbf __clone (libc.so.6)

I'm sorry if this is the wrong place to post, please point me in the right
direction

Robert
Cristian Rodríguez
2017-09-08 20:19:09 UTC
Permalink
Raw Message
Post by Robert Washbourne
packagekitd[18300]: failed to setup context: metadata expire time too
small, has to be at least one second
I'm sorry if this is the wrong place to post, please point me in the
right direction
Polkit is not part of systemd, ask on:
http://lists.freedesktop.org/mailman/listinfo/polkit-devel list.
Michael Chapman
2017-09-09 03:07:53 UTC
Permalink
Raw Message
Post by Cristian Rodríguez
Post by Robert Washbourne
packagekitd[18300]: failed to setup context: metadata expire time too
small, has to be at least one second
I'm sorry if this is the wrong place to post, please point me in the right
direction
http://lists.freedesktop.org/mailman/listinfo/polkit-devel list.
And polkit isn't PackageKit. :-)

Robert, try the PackageKit mailing list:
https://lists.freedesktop.org/mailman/listinfo/packagekit
Robert Washbourne
2017-09-09 03:35:49 UTC
Permalink
Raw Message
Will do, thanks.
Post by Michael Chapman
Post by Cristian Rodríguez
Post by Robert Washbourne
packagekitd[18300]: failed to setup context: metadata expire time too
small, has to be at least one second
I'm sorry if this is the wrong place to post, please point me in the
right
Post by Cristian Rodríguez
Post by Robert Washbourne
direction
http://lists.freedesktop.org/mailman/listinfo/polkit-devel list.
And polkit isn't PackageKit. :-)
https://lists.freedesktop.org/mailman/listinfo/packagekit
Loading...